<!doctype html>
<html lang="fr">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <head>
        <style type="text/css">

            body {
                font-family: Verdana, Geneva, sans-serif;
                background-color: #b2bdc6;
            }
        </style>
        <script>

function valeur(){

var un_objet={"nom":"Johnnny", "age":60};

var la_valeur = un_objet.nom;   // retourne Johnnny

console.log(la_valeur);

la_valeur = un_objet['nom'];   // retourne Johnnny

console.log(la_valeur);
}

function for_in(){

 var un_objet = {"nom":"mimi", "age":30, "voiture":null};

 for (var nom_clee in un_objet){

  console.log(nom_clee);

 }
}


function for_in_val(){

var un_objet = {"nom":"mimi ", "age":30, "voiture":null};

for (var nom_clee in un_objet) {

  console.log(un_objet[nom_clee])     //renvoi mimi 30 null
}
}

function intero(){

 var un_objet = {"nom":"Johnny", "age":30, "voiture":null};

 if (un_objet.nom) {

   console.log(un_objet.nom);

 }
}

function for_in_tab(){

 var un_objet = [{
 "nom": "John",
 "age": 40,
 "car": null,
   "enfant" : ["riri","fifi","loulou"]
}, {
 "nom": "nono",
 "age": 30,
 "car": null,
   "enfant" : ["toto","titi","minet"]
}];

 for (var x =0; x< un_objet.length;x++){

 for (var y in un_objet[x]){

  console.log(y);

  console.log(un_objet[x][y]);

  }
 }
}

function supprime() {

 var un_objet = {"nom":"mimi","age":30,"voiture":false}

for (i in un_objet) {
  console.log(i)
}

console.log("---------------------")

delete un_objet.age;

for (i in un_objet) {
  console.log(i)
}
}


function trie() {

var tableau_objet = [{

 "nom": "Martinique",
 "code": "02"
}, {
 "nom": "Guyane",
 "code": "03"
}, {
"nom": "Guadeloupe",
 "code": "01"
}]

 tableau_objet.sort(function(key1,key2){return key2.nom > key1.nom;} )
   console.log(tableau_objet)
}


function obj_key(){

 var un_objet = {"nom":"John",
 "age":30,
 "voiture":null,
 nom:"nono",
 age:30
 };

 var tb_clee=Object.keys(un_objet)

 console.log(tb_clee);

 for(var i=0;i<tb_clee.length;i++){

  console.log(tb_clee[i]);

  console.log(un_objet[tb_clee[i]]);
 }
}

function parsse(){

 var un_objet='{"nom" : "Johnnny","age" : 60,"maison" : true,"enfant" : ["riri","fifi","loulou"]}';

 console.log(un_objet)

 un_objet=JSON.parse(un_objet)

 console.log(un_objet)

}

function stringi(){

 var un_objet={
    "nom" : "Johnnny",
    "age" : 60,
    "maison" : true,
    "enfant" : ["riri","fifi","loulou"]
  };

 console.log(un_objet)

 un_objet=JSON.stringify(un_objet)

 console.log(un_objet)

}

function dispache(expr){

console.clear()

switch (expr) {

case 'valeur':

document.getElementById("sources").value=valeur.toString()
valeur()

 break;
case 'obj_key':

document.getElementById("sources").value=obj_key.toString()
obj_key()

 break;
case 'for_in':

document.getElementById("sources").value=for_in.toString()
for_in()

 break;
case 'for_in_val':

document.getElementById("sources").value=for_in_val.toString()
for_in_val()

 break;
case 'intero':

document.getElementById("sources").value=intero.toString()
intero()

 break;
case 'for_in_tab':

document.getElementById("sources").value=for_in_tab.toString()
for_in_tab()

 break;
case 'supprime':

document.getElementById("sources").value=supprime.toString()
supprime()

 break;
case 'trie':

document.getElementById("sources").value=trie.toString()
trie()

 break;
case 'parsse':

document.getElementById("sources").value=parsse.toString()
parsse()

 break;
case 'stringi':

document.getElementById("sources").value=stringi.toString()
stringi()

 break;

}
}

        </script>


        </script>
    </head>
    <body>

        <br>

        <button onclick="dispache('valeur')">valeur simple</button>

        <button onclick="dispache('for_in')">for in clee</button>

        <button onclick="dispache('for_in_val')">for in valeur</button>

        <button onclick="dispache('for_in_tab')">for in avec tableau</button>

        <button onclick="dispache('supprime')">supprimer</button>

        <button onclick="dispache('trie')">trie (short)</button>

        <button onclick="dispache('intero')">interogation</button>

        <button onclick="dispache('obj_key')">obj.key</button>

        <button onclick="dispache('parsse')">parse</button>

        <button onclick="dispache('stringi')">stringify</button>
        <br>

        <textarea id="sources" style="overflow: auto;;height:250px;width:70%;font-size:14px"></textarea>
        <span id="demo"></span>

    </body>
</html>